import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import "components"
import "./view"

import Artix.Handlers
import Artix.Core
import Artix.Models

/**
 * @brief Диалог выбора отложенного чека
 */
ChoiceTable {
    id: root
    model: DeferredChoiceModel { id: model; filter: root.filter; checks: params.checks }
    titleTr: Utils.makeTr("deferredChoiceFormTitle", "Выберите отложенный чек")
    okButtonTr: Utils.makeTr("deferredChoiceFormOk", "Выбрать")
    cancelButtonTr: Utils.makeTr("deferredChoiceFormCancel", "Назад")
    inputPlaceholderTr: Utils.makeTr("deferredChoiceFormEditText", "Идентификатор чека")
    columnsOrder: [
        "id",
        "cashcode",
        "time",
        "sumb"
    ]
    columnsHorizontalAlignment: [
        Qt.AlignLeft,   // идентификатор
        Qt.AlignLeft,   // код кассы
        Qt.AlignLeft,   // дата и время
        Qt.AlignRight,  // сумма
    ]
    columnsWidth: [
        tableAvailableWidth - (80 + 150 + 190),    // идентификатор
        80,                                        // код кассы
        150,                                        // время
        190,                                        // сумма
    ]

    // Обработчик
    DialogHandler { id: handler }

    onAccept: (index) => handler.sendAnswer(model.getDocumentId(index.row))
    onReject: handler.sendAnswer(-1)
}
