import QtQuick
import QtQuick.Controls

import Artix.Gui

/**
 * @brief Базовое отображения для полноэкранных диалогов
 */
BasicDialog {
    id: control
    padding: 0
    modal: false
    implicitWidth: primaryScreen.geometry.width / scale
    implicitHeight: Style.resolution.height - (withBottomPanel ? mainWindow.footer.height : 0)

    Connections {
        target: primaryScreen
        function onGeometryChanged(geometry) {
            if (control.opened) {
                // Костыль для повторного отображения диалога при изменении разрешения экрана.
                // Без этого при увеличении разрешения по высоте верстка может ломаеться.
                control.close()
                control.open()
            }
        }
    }
}
