import QtQuick
import QtQuick.Layouts

import "../components"

import Artix.Gui
import Artix.Core

Item {
    property bool backBySaleMode: false
    BasicLabel {
        id: paymentsListTitleName
        Style.class: "paymentsListTitleName"
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
        property var defaultTr: Utils.makeTr("documentSubtotalPaymentSum", "Получено")
        property var backBySaleTr: Utils.makeTr("documentSubtotalAvailableRefund", "Доступно")
        Tr { tr: backBySaleMode ? paymentsListTitleName.backBySaleTr : paymentsListTitleName.defaultTr }
        visible: !Utils.moneyIsZero(Session.document.currentPaymentSum) || backBySaleMode
    }
    BasicLabel {
        Style.class: "paymentsListTitleAmount"
        anchors.right: parent.right
        anchors.verticalCenter: parent.verticalCenter
        text: Utils.formatMoneyItem(Session.document.currentPaymentSum)
        visible: !(Utils.moneyIsZero(Session.document.currentPaymentSum) || backBySaleMode)
    }
}
