import QtQuick
import QtQuick.VirtualKeyboard

import Artix.Core
import Artix.Gui

/**
 * @brief Кнопка смены подтверждения ввода
 * @param customStyle уникальный стить для кнопки
 * @param actionButton кнопка вызавает внешнее действие
 */
EnterKey {
    property string customStyle: "keyboardEnter20px700"
    readonly property bool actionButton: true
    readonly property var tr: keyboard.enterTr

    noKeyEvent: true
    functionKey: true
    highlighted: true
    onClicked: keyboard?.enter()
    enabled: keyboard.enterEnabled === undefined || keyboard.enterEnabled
}
